Index: src/sas/perspectives/fitting/fitting.py
===================================================================
--- src/sas/perspectives/fitting/fitting.py	(revision a3f125f0f3c4ff6ed01529da503fbdd5ccb23b14)
+++ src/sas/perspectives/fitting/fitting.py	(revision acf8e4a58aad50df871a259b771db1d582942abb)
@@ -32,5 +32,5 @@
 from sas.guiframe.plugin_base import PluginBase
 from sas.guiframe.data_processor import BatchCell
-from sas.fit.Fitting import Fit
+from sas.fit.BumpsFitting import BumpsFit as Fit
 from sas.perspectives.fitting.console import ConsoleUpdate
 from sas.perspectives.fitting.fitproblem import FitProblemDictionary
@@ -84,7 +84,4 @@
         ## dictionary of page closed and id
         self.closed_page_dict = {}
-        ## Fit engine
-        self._fit_engine = 'bumps'
-        self._gui_engine = None
         ## Relative error desired in the sum of squares (float)
         self.batch_reset_flag = True
@@ -751,5 +748,5 @@
     def stop_fit(self, uid):
         """
-        Stop the fit engine
+        Stop the fit
         """
         if uid in self.fit_thread_list.keys():
@@ -877,5 +874,5 @@
         """
         Get series of data, model, associates parameters and range and send then
-        to  series of fit engines. Fit data and model, display result to
+        to  series of fitters. Fit data and model, display result to
         corresponding panels.
         :param uid: id related to the panel currently calling this fit function.
@@ -896,6 +893,6 @@
         sim_fitter = None
         if fit_type == 'simultaneous':
-            #simulatanous fit only one engine need to be created
-            sim_fitter = Fit(self._fit_engine)
+            # for simultaneous fitting only one fitter is needed
+            sim_fitter = Fit()
             sim_fitter.fitter_id = self.sim_page.uid
             fitter_list.append(sim_fitter)
@@ -936,5 +933,5 @@
                     for fitproblem in  fitproblem_list:
                         if sim_fitter is None:
-                            fitter = Fit(self._fit_engine)
+                            fitter = Fit()
                             fitter.fitter_id = page_id
                             fitter_list.append(fitter)
@@ -965,5 +962,5 @@
         wx.PostEvent(self.parent, StatusEvent(status=msg, type="progress"))
 
-        #Handler used for fit engine displayed message
+        #Handler used to display fit message
         handler = ConsoleUpdate(parent=self.parent,
                                 manager=self,
@@ -1148,8 +1145,5 @@
     def _add_problem_to_fit(self, fitproblem, pars, fitter, fit_id):
         """
-        Create and set fit engine with series of data and model
-        :param pars: list of fittable parameters
-        :param fitter_list: list of fit engine
-        :param value:  structure storing data mapped to their model, range etc.
+        Create and set fitter with series of data and model
         """
         data = fitproblem.get_fit_data()
@@ -1207,5 +1201,5 @@
         """
         Display fit result in batch
-        :param result: list of objects received fromt fit engines
+        :param result: list of objects received from fitters
         :param pars: list of  fitted parameters names
         :param page_id: list of page ids which called fit function
@@ -1308,6 +1302,6 @@
                             batch_inputs["error on %s" % str(param)].append(ERROR)
                 else:
-                    # ToDo: Why sometimes res.pvec comes with numpy.float64?
-                    # Need to fix it within ScipyEngine
+                    # TODO: Why sometimes res.pvec comes with numpy.float64?
+                    # probably from scipy lmfit
                     if res.pvec.__class__ == numpy.float64:
                         res.pvec = [res.pvec]
@@ -1921,5 +1915,5 @@
                 dy = numpy.ones(len(data_copy.y))
             else:
-                ## Set consitently w/AbstractFitengine:
+                ## Set consistently w/AbstractFitengine:
                 # But this should be corrected later.
                 dy = deepcopy(data_copy.dy)
